
QGIS Application - Bug report #18277

Data loss When Saving Multiedit with Null

2018-02-28 10:37 PM - Ryan Desmond

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26168

Description

Procedure

    1. Create a new scratch layer (All defaults is okay)

    2. Open the attribute table in edit mode

    3. Create a new Field, Add a name (Other parameters default)

    4. Enable multi-edit

    5. Click toggle editing

    6. Click close without saving

Crash

Notes:

 - Features needn't be made -- but it will still crash with one

History

#1 - 2018-02-28 10:39 PM - Ryan Desmond

Tested against master -- also fails with:

Thread 1 "qgis" received signal SIGSEGV, Segmentation fault.

#2 - 2018-03-01 10:54 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#3 - 2018-08-10 07:49 PM - Ryan Desmond

I just went through this procedure in 3.2.1.  It did not result in a crash, but did cause any features that existed because the attribute table was opened to be

removed.  So the bug is now a data loss problem.

#4 - 2018-08-13 10:52 AM - Giovanni Manghi

- Subject changed from Crash When Saving Multiedit with Null to Data loss When Saving Multiedit with Null

- Affected QGIS version changed from 3.0.0 to 3.2.1

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

2024-05-21 1/2



Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
